#pragma once

namespace ss
{
    class SS_CMKcpHandshake;
}

class KcpSession;
class LongSession
{

 public:

    void Init(f8::MsgHdr& hdr, const ss::SS_CMKcpHandshake& msg);
    void UnInit();
    void Update(long long tick);

    std::shared_ptr<KcpSession> GetKcpSession() { return kcp_session_; }
    void UpdatePing();

 private:
    long long last_ping_tick_ = 0;
    std::shared_ptr<KcpSession> kcp_session_;
};
